Exchange Link Code for login_identity_token and login_identity_id
Exchange the one-time auth code (from a successful Finverse linking redirect) for a login_identity_token and its associated login_identity_refresh_token.
Note: a Login Identity represents a unique financial institution authenticated account linked by the end-user. An end-user who links multiple Institutions (or multiple authenticated accounts at the same Institution), will have a distinct Login Identity for each linked account.
Important: make sure to use the Header Content-Type: application/x-www-form-urlencoded for this request (in accordance with OAuth specification for code exchange)
Authorization: customer_token
Token handling
Storage
login_identity_token and login_identity_refresh_token are highly sensitive as they are needed to retrieve data on each Login Identity.
Best practices:
* Securely store each token in your back-end
* Never disclose the tokens externally (e.g. in your front-end).
Renewal
login_identity_token expires after 1 hour. login_identity_refresh_token expires after 90 days.
Implement POST /auth/token/refresh for token renewal.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Accepted values: authorization_code
authorization_code Use code URL parameter returned to Customer App's redirect URI
See API credentials. Managed on Finverse developer dashboard (dashboard.finverse.com)
Must match the redirect_uri associated with the Customer App. Managed on Finverse developer dashboard (dashboard.finverse.com)
Response
Service Okay
(SENSITIVE) Login Identity access token (referred to as login_identity_token).
Access token validity length (in seconds).
Access token issue time
Finverse Login Identity ID for this Login Identity. Always unique. Linking the same account at the same institution twice will result in two Login Identities with different IDs (use Refresh/Relink methods to refresh data for a Login Identity without updating the ID).
(SENSITIVE) Login Identity refresh token (referred to as login_identityrefresh_token)
Possible values: Bearer